.PHONY: clean all
.SUFFIXES: .o .cpp
SRC=main.cpp

OBJ=$(SRC:.cpp=.o)

CXX=g++
LD=g++
RM=del

EXECUTABLE_EXTENSION=.exe

TARGET=exstart$(EXECUTABLE_EXTENSION)

all: $(TARGET)

$(TARGET): $(OBJ)
	$(LD) $(LD_FLAGS) -o $(TARGET) $(OBJ) 

.cpp.o:
	$(CXX) $(CXX_FLAGS) -c -o $@ $< 

clean:
	$(RM) $(OBJ) $(TARGET)
